$AdfDhtmlSelectOnePeer$$.prototype.$GetSubIdDomElement$ = function $$AdfDhtmlSelectOnePeer$$$$$GetSubIdDomElement$$($subElementId$$62$$, $tagName$$24$$) {
  $AdfAssert$$.$assertNonEmptyString$($subElementId$$62$$);
  var $component$$2469_popEl_popId$$1_selectItemsDom$$1$$ = this.$getComponent$(), $domElem$$19_valueStr$$3$$ = $AdfDhtmlSelectOnePeer$$.$superclass$.$GetSubIdDomElement$.call(this, $subElementId$$62$$);
  if ($domElem$$19_valueStr$$3$$) {
    return "label" == $subElementId$$62$$ && ($component$$2469_popEl_popId$$1_selectItemsDom$$1$$ = this.$GetSelectItemsParentDomElement$($component$$2469_popEl_popId$$1_selectItemsDom$$1$$)) && $AdfDomUtils$$.$isAncestor$($component$$2469_popEl_popId$$1_selectItemsDom$$1$$, $domElem$$19_valueStr$$3$$) && ($domElem$$19_valueStr$$3$$ = null), $domElem$$19_valueStr$$3$$;
  }
  if ("item[" == $subElementId$$62$$.substr(0, 5)) {
    var $domElement$$693$$ = this.$getDomElement$(), $domElem$$19_valueStr$$3$$ = $subElementId$$62$$.substring(5, $subElementId$$62$$.lastIndexOf("]"));
    $tagName$$24$$ || ($tagName$$24$$ = "option");
    if (!this.$_isNativeSelectNotSupported$ || !this.$_isNativeSelectNotSupported$()) {
      return $AdfSubIdUtils$$.$getChildElementByAttributeValue$($domElement$$693$$, "value", $domElem$$19_valueStr$$3$$, $tagName$$24$$);
    }
    $component$$2469_popEl_popId$$1_selectItemsDom$$1$$ = this.$_POPUP_ID$ ? $AdfRichUIPeer$$.$CreateSubId$($component$$2469_popEl_popId$$1_selectItemsDom$$1$$.$getClientId$(), this.$_POPUP_ID$) : $AdfRichUIPeer$$.$CreateSubId$($component$$2469_popEl_popId$$1_selectItemsDom$$1$$.$getClientId$(), "pop");
    if ($component$$2469_popEl_popId$$1_selectItemsDom$$1$$ = $AdfAgent$$.$AGENT$.getElementById($component$$2469_popEl_popId$$1_selectItemsDom$$1$$)) {
      return $AdfSubIdUtils$$.$getChildElementByAttributeValue$($component$$2469_popEl_popId$$1_selectItemsDom$$1$$, "_adfiv", $domElem$$19_valueStr$$3$$, "li");
    }
  }
  return null;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlSelectOnePeer.prototype.GetSubIdDomElement", {$GetSubIdDomElement$:$AdfDhtmlSelectOnePeer$$.prototype.$GetSubIdDomElement$});
